Bug 1307416 - cxf-xjc-utils: FTBFS in rawhide
Summary: cxf-xjc-utils: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cxf-xjc-utils
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1276836
Blocks: F24FTBFS
TreeView+ depends on / blocked
 
Reported: 2016-02-13 21:12 UTC by Fedora Release Engineering
Modified: 2016-08-27 10:41 UTC (History)
3 users (show)

Fixed In Version: cxf-xjc-utils-3.0.5-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:41:16 UTC


Attachments (Terms of Use)
build.log (1.17 KB, text/plain)
2016-02-13 21:12 UTC, Fedora Release Engineering
no flags Details
root.log (79.41 KB, text/plain)
2016-02-13 21:12 UTC, Fedora Release Engineering
no flags Details
state.log (483 bytes, text/plain)
2016-02-13 21:12 UTC, Fedora Release Engineering
no flags Details
fix FTBFS (65.44 KB, patch)
2016-02-14 16:29 UTC, gil cattaneo
no flags Details | Diff

Description Fedora Release Engineering 2016-02-13 21:12:17 UTC
Your package cxf-xjc-utils failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12810758

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

Comment 1 Fedora Release Engineering 2016-02-13 21:12:19 UTC
Created attachment 1124318 [details]
build.log

Comment 2 Fedora Release Engineering 2016-02-13 21:12:20 UTC
Created attachment 1124319 [details]
root.log

Comment 3 Fedora Release Engineering 2016-02-13 21:12:21 UTC
Created attachment 1124320 [details]
state.log

Comment 4 gil cattaneo 2016-02-14 16:29:59 UTC
Created attachment 1127043 [details]
fix FTBFS

- remove maven-downloader support
- fix BR list and use BR mvn()-like

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12983291

Comment 5 Jan Kurik 2016-02-24 14:38:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 6 Fedora Update System 2016-08-11 10:59:30 UTC
cxf-xjc-utils-3.0.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1d0511c4fc

Comment 7 Fedora Update System 2016-08-11 16:55:55 UTC
cxf-build-utils-3.2.0-1.fc25, cxf-xjc-utils-3.0.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1d0511c4fc

Comment 8 Fedora Update System 2016-08-27 10:41:08 UTC
cxf-build-utils-3.2.0-1.fc25, cxf-xjc-utils-3.0.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.